Subject: Re: [PATCH] ethernet: atheros: Add nss-gmac driver

From: Mark Rutland <[email-masked]>
Date: Fri, 9 Jan 2015 13:50:45 +0000

On Thu, Jan 08, 2015 at 10:03:46PM +0000, Stephen Wang wrote:
> This driver adds support for the internal GMACs on IPQ806x SoCs.
> It supports the device-tree and will register up to 4 ethernet
> interfaces.
> 
> Signed-off-by: Stephen Wang <[email-masked]>
> ---
>  drivers/net/ethernet/atheros/Kconfig               |   10 +
>  drivers/net/ethernet/atheros/Makefile              |    1 +
>  drivers/net/ethernet/atheros/nss-gmac/LICENSE.txt  |   14 +
>  drivers/net/ethernet/atheros/nss-gmac/Makefile     |   19 +
>  .../atheros/nss-gmac/exports/nss_gmac_api_if.h     |  126 ++
>  .../atheros/nss-gmac/include/msm_nss_gmac.h        |  338 ++++
>  .../atheros/nss-gmac/include/msm_nss_macsec.h      |   73 +
>  .../atheros/nss-gmac/include/nss_gmac_clocks.h     |  100 +
>  .../atheros/nss-gmac/include/nss_gmac_dev.h        | 2136 ++++++++++++++++++++
>  .../nss-gmac/include/nss_gmac_network_interface.h  |   63 +
>  .../net/ethernet/atheros/nss-gmac/nss_gmac_ctrl.c  | 1210 +++++++++++
>  .../net/ethernet/atheros/nss-gmac/nss_gmac_dev.c   | 1963 ++++++++++++++++++
>  .../ethernet/atheros/nss-gmac/nss_gmac_ethtool.c   |  526 +++++
>  .../net/ethernet/atheros/nss-gmac/nss_gmac_init.c  | 1131 +++++++++++
>  .../ethernet/atheros/nss-gmac/nss_gmac_mdiobus.c   |  187 ++
>  .../atheros/nss-gmac/nss_gmac_tx_rx_offload.c      | 1175 +++++++++++

Device tree bindings _must_ be documented, yet this standalone patch
adds nothing to Documentation/devicetree/bindings per the diffstat
above. So trivial NAK until there's a patch documenting that.

See Documentation/devicetree/bindings/submitting-patches.txt 

Thanks,
Mark.
--
To unsubscribe from this list: send the line "unsubscribe devicetree" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html